<?php
/**
 * @copyright 	&copy; 2005-2019 SFS
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Eric 'Coolhands' Camy <sfs.coolhands@free.fr>
 * @version   	PHPBoost 5.2
*/

class PilotesService
{
	private static $querier;

	public static function __static()
	{
		self::$querier = PersistenceContext::get_querier();
	}

	public static function get_pilotes_users()
	{
		$users = array();

		$result = self::$querier->select("SELECT
		s.user_id, s.display_name, s.groups, f.user_avatar
		FROM " . DB_TABLE_MEMBER . " s LEFT JOIN " . DB_TABLE_MEMBER_EXTENDED_FIELDS . " f ON f.user_id = s.user_id WHERE s.groups = 1");

		while ($row = $result->fetch())
		{
				$user = new PilotesUser();
				$user->set_display_name($row['display_name']);
				$user->set_avatar($row['user_avatar']);
				$users[] = $user;			
		}

		return $users;
	}
}
?>
