<?php
/**
 * @copyright 	&copy; 2005-2019 SFS
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Eric 'Coolhands' Camy <sfs.coolhands@free.fr>
 * @version   	PHPBoost 5.2
*/

define('PATH_TO_ROOT', '..');

require_once PATH_TO_ROOT . '/kernel/init.php';

$url_controller_mappers = array(
	new UrlControllerMapper('AdminPilotesConfigController', '`^/admin(?:/config)?/?$`'),
	new UrlControllerMapper('PilotesHomeController', '`^(?:/([0-9]+))?/?$`', array('page')),
);
DispatchManager::dispatch($url_controller_mappers);

?>
